package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreTicketDiscountGoodsEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店优惠券活动商品，参与优惠的商品Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public interface MkStoreTicketDiscountGoodsService {

    /**
     * 根据主键查询实体
     *
     * @param discGoodId 主键
     * @return 实体
     */
    MkStoreTicketDiscountGoodsEntity queryObject(Integer discGoodId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreTicketDiscountGoodsEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreTicketDiscountGoods 实体
     * @return 保存条数
     */
    int save(MkStoreTicketDiscountGoodsEntity mkStoreTicketDiscountGoods);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreTicketDiscountGoods 实体
     * @return 更新条数
     */
    int update(MkStoreTicketDiscountGoodsEntity mkStoreTicketDiscountGoods);

    /**
     * 根据主键删除
     *
     * @param discGoodId
     * @return 删除条数
     */
    int delete(Integer discGoodId);

    /**
     * 根据主键批量删除
     *
     * @param discGoodIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] discGoodIds);
}
